package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrMotor;

/**
 * 电机设备Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrMotorService 
{
    /**
     * 查询电机设备
     * 
     * @param id 电机设备ID
     * @return 电机设备
     */
    public TPssrMotor selectTPssrMotorById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询电机设备列表
     * 
     * @param tPssrMotor 电机设备
     * @return 电机设备集合
     */
    public List<TPssrMotor> selectTPssrMotorList(TPssrMotor tPssrMotor);

    /**
     * 新增电机设备
     * 
     * @param tPssrMotor 电机设备
     * @return 结果
     */
    public int insertTPssrMotor(TPssrMotor tPssrMotor);

    /**
     * 修改电机设备
     * 
     * @param tPssrMotor 电机设备
     * @return 结果
     */
    public int updateTPssrMotor(TPssrMotor tPssrMotor);

    /**
     * 批量删除电机设备
     * 
     * @param ids 需要删除的电机设备ID
     * @return 结果
     */
    public int deleteTPssrMotorByIds(Long[] ids);

    /**
     * 删除电机设备信息
     * 
     * @param id 电机设备ID
     * @return 结果
     */
    public int deleteTPssrMotorById(Long id);
}
